## org.apache.poi.hssf.record
Class ObjectProtectRecord

    java.lang.Object
      org.apache.poi.hssf.record.RecordBase
          org.apache.poi.hssf.record.Record
              org.apache.poi.hssf.record.StandardRecord
                  org.apache.poi.hssf.record.ObjectProtectRecord

    public final class ObjectProtectRecord

extends StandardRecord

Title: Object Protect Record

Description: Protect embedded object with the lamest "security" ever invented. This record tells "I want to protect my objects" with lame security. It appears in conjunction with the PASSWORD and PROTECT records as well as its scenario protect cousin.

REFERENCE: PG 368 Microsoft Excel 97 Developer's Kit (ISBN: 1-57231-498-2)

Author:
  Andrew C. Oliver (acoliver at apache dot org)

Field Summary
`static short` `sid`

Constructor Summary
`ObjectProtectRecord()`
`ObjectProtectRecord(RecordInputStream in)`

Method Summary
`java.lang.Object` `clone()`
`protected int` `getDataSize()`
`boolean` `getProtect()` get whether the sheet is protected or not
`short` `getSid()` return the non static version of the id for this record.
`void` `serialize(LittleEndianOutput out)` Write the data content of this BIFF record.
`void` `setProtect(boolean protect)` set whether the sheet is protected or not
`java.lang.String` `toString()` get a string representation of the record (for biffview/debugging)

Methods inherited from class org.apache.poi.hssf.record.StandardRecord
`getRecordSize, serialize`

Methods inherited from class org.apache.poi.hssf.record.Record
`cloneViaReserialise, serialize`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### sid

    public static final short sid

See Also:
  Constant Field Values

Constructor Detail

### ObjectProtectRecord

    public ObjectProtectRecord()

### ObjectProtectRecord

    public ObjectProtectRecord(RecordInputStream in)

Method Detail

### setProtect

    public void setProtect(boolean protect)

  set whether the sheet is protected or not

  Parameters:
    `protect` - whether to protect the sheet or not

### getProtect

    public boolean getProtect()

  get whether the sheet is protected or not

  Returns:
    whether to protect the sheet or not

### toString

    public java.lang.String toString()

  Description copied from class: `Record`
  get a string representation of the record (for biffview/debugging)

  Overrides:
    `toString` in class `Record`

### serialize

    public void serialize(LittleEndianOutput out)

  Description copied from class: `StandardRecord`
  Write the data content of this BIFF record. The 'ushort sid' and 'ushort size' header fields have already been written by the superclass.
  The number of bytes written must equal the record size reported by `RecordBase.getRecordSize()`} minus four ( record header consiting of a 'ushort sid' and 'ushort reclength' has already been written by thye superclass).

  Specified by:
    `serialize` in class `StandardRecord`

### getDataSize

    protected int getDataSize()

  Specified by:
    `getDataSize` in class `StandardRecord`

### getSid

    public short getSid()

  Description copied from class: `Record`
  return the non static version of the id for this record.

  Specified by:
    `getSid` in class `Record`

### clone

    public java.lang.Object clone()

  Overrides:
    `clone` in class `Record`

Copyright 2012 The Apache Software Foundation or its licensors, as applicable.